MLeaderLines Example

Using Programming Languages other than VBA

Sub Example_MLeaderLines()
	Dim oML As AcadMLeader
	Dim points(0 To 14) As Double


	' Define the leader points
	points(0) = 1: points(1) = 1: points(2) = 0
	points(3) = 1: points(4) = 2: points(5) = 0
	points(6) = 2: points(7) = 2: points(8) = 0
	points(9) = 3: points(10) = 2: points(11) = 0
	points(12) = 4: points(13) = 4: points(14) = 0
	Dim i As Long
	Set oML = ThisDrawing.ModelSpace.AddMLeader(points, i)

	Dim col As New AcadAcCmColor
	col.SetRGB 12, 23, 45


	oML.LeaderLineWeight = acLnWt013
	oML.LeaderType = acSplineLeader
	oML.LeaderLineColor = col

	oML.LandingGap = 5.2
	oML.ContentBlockType = acBlockHexagon
	oML.BlockConnectionType = acConnectBase
	oML.ContentType = acMTextContent

End Sub

 

   Comments?